Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc
Class GCNode

    java.lang.Object
      rice.p2p.past.gc.GCNode

All Implemented Interfaces:
  Node

    public class GCNode

extends java.lang.Object
implements Node

Version:
  $Id: GCNode.java 3992 2007-12-02 20:09:18Z jeffh $
Author:
  Alan Mislove

Field Summary
`protected Node` | `node` The node which this mulitring node is wrapping

Constructor Summary
`GCNode(Node node)` Constructor

Method Summary
`Endpoint` | `buildEndpoint(Application application, java.lang.String instance)` Same as register application, but returns an unregistered Endpoint.
`Environment` | `getEnvironment()` Returns the environment.
`Id` | `getId()` Returns the Id of this node
`IdFactory` | `getIdFactory()` Returns a factory for Ids specific to this node's protocol.
`NodeHandle` | `getLocalNodeHandle()` Method which returns the node handle to the local node
`java.lang.String` | `printRouteState()` For debugging: print the internal routing state of the Node.
`Endpoint` | `registerApplication(Application application, java.lang.String instance)` Deprecated. use buildEndpoint() endpoint.register()
`java.lang.String` | `toString()` Prints out the string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### node

    protected Node node

  The node which this mulitring node is wrapping

Constructor Detail

### GCNode

    public GCNode(Node node)

  Constructor

  Parameters:
    `node` - The node which this multiring node is wrapping
    `ringId` - The Id of this node's ring

Method Detail

### registerApplication

    public Endpoint registerApplication(Application application,
                                        java.lang.String instance)

  Deprecated. use buildEndpoint() endpoint.register()

  This returns a VirtualizedNode specific to the given application and instance name to the application, which the application can then use in order to send an receive messages.

  Specified by:
    `registerApplication` in interface `Node`
  Parameters:
    `application` - The Application
    `instance` - An identifier for a given instance
  Returns:
    The endpoint specific to this applicationk, which can be used for message sending/receiving.

### buildEndpoint

    public Endpoint buildEndpoint(Application application,
                                  java.lang.String instance)

  Description copied from interface: `Node`
  Same as register application, but returns an unregistered Endpoint. This allows the application to finish initialization that may require the endpoint before it receives messages from the network and notification of changes. When then application is ready, it must call endpoint.register() to receive messages.

  Specified by:
    `buildEndpoint` in interface `Node`
  Returns:

### getLocalNodeHandle

    public NodeHandle getLocalNodeHandle()

  Method which returns the node handle to the local node

  Specified by:
    `getLocalNodeHandle` in interface `Node`
  Returns:
    A handle to the local node

### getId

    public Id getId()

  Returns the Id of this node

  Specified by:
    `getId` in interface `Node`
  Returns:
    This node's Id

### getIdFactory

    public IdFactory getIdFactory()

  Returns a factory for Ids specific to this node's protocol.

  Specified by:
    `getIdFactory` in interface `Node`
  Returns:
    A factory for creating Ids.

### toString

    public java.lang.String toString()

  Prints out the string

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string

### getEnvironment

    public Environment getEnvironment()

  Description copied from interface: `Node`
  Returns the environment. This allows the nodes to be virtualized within the JVM

  Specified by:
    `getEnvironment` in interface `Node`
  Returns:
    the environment for this node/app.

### printRouteState

    public java.lang.String printRouteState()

  Description copied from interface: `Node`
  For debugging: print the internal routing state of the Node.

  Specified by:
    `printRouteState` in interface `Node`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.